[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'ipc' (#rtl)

# TSEMid_ds

Structure returned by the semctl call, contains all data of a semahore

## Declaration

Source position: ipc.pp line 466

`type TSEMid_ds = record`
`sem_perm: TIPC_Perm;` |  | IPC permissions
`sem_otime: time_t;` |  | Last operation time
`sem_ctime: time_t;` |  | Create time
`sem_base: pointer;` |  | Internal data. Do not use
`sem_pending: pointer;` |  | Internal data. Do not use
`sem_pending_last: pointer;` |  | Internal data. Do not use
`undo: pointer;` |  | Internal data. Do not use
`sem_nsems: cushort;` |  | Number of semaphores
`end;`

Documentation generated on: Feb 26 2014